@charset "utf-8";

/* ======================================================================
/* root
====================================================================== */
:root {
  --color-brand: #00a9c8;
  --color-white: #ffffff;
  --color-black: #000000;
  --color-gray: #f0f0f0;
  --color-navy: #1c3054;
  --color-turquoise-blue: #2eb6aa;
  --color-light-green: #effffe;
  --color-yellow: #fdd22b;
  --color-orange: #febd1a;
}

/* ======================================================================
/* html
====================================================================== */
html {
  scroll-behavior: smooth;
}

/* ======================================================================
/* a
====================================================================== */
a {
  text-decoration: none;
}

/* ======================================================================
/* ul ol
====================================================================== */
ul,
ol {
  list-style: none;
}

/* ======================================================================
/* br
====================================================================== */
.pc {
  display: block;
}

.sp {
  display: none;
}

@media screen and (width <=768px) {
  .pc {
    display: none;
  }

  .sp {
    display: block;
  }
}

/* ======================================================================
/* font-size
====================================================================== */
.fs-12 {
  font-size: 12px;
}

.fs-13 {
  font-size: 13px;
}

.fs-14 {
  font-size: 14px;
}

/* ======================================================================
/* img
====================================================================== */
img {
  display: block;
  margin: 0 auto;
  max-inline-size: 100%;
  vertical-align: bottom;
}

/* ======================================================================
/* fluidImg
====================================================================== */
@media screen and (width <= 768px) {
  .fluidImg {
    inline-size: 100%;
    block-size: auto;
  }
}

/* ======================================================================
/* Menu
====================================================================== */
.hamburger-fade {
  position: fixed;
  inset-block-start: 0;
  inset-inline-end: calc(50% - 250px);
  z-index: 9999;
  inline-size: 50px;
  block-size: 50px;
  border: none;
  background: none;
  cursor: pointer;

  & .wrapper {
    position: relative;
    width: 30px;
    height: 20px;
    margin: 10px auto;

    & .line {
      position: absolute;
      inset-inline-start: 0;
      inline-size: 100%;
      block-size: 1px;
      background-color: var(--color-black);
      transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);

      &:nth-child(1) {
        top: 0;
      }

      &:nth-child(2) {
        top: 9px;
      }

      &:nth-child(3) {
        top: 18px;
      }
    }
  }

  &.active .line {
    background-color: var(--color-white);

    &:nth-child(1) {
      transform: translateY(9px) rotate(45deg);
    }

    &:nth-child(2) {
      opacity: 0;
      transform: translateX(20px);
    }

    &:nth-child(3) {
      transform: translateY(-9px) rotate(-45deg);
    }
  }
}

.nav-fade {
  position: fixed;
  top: 0;
  left: 0;
  inline-size: 100%;
  block-size: 100vh;
  visibility: hidden;
  z-index: 9998;

  &.active {
    visibility: visible;

    & .nav-fade__bg {
      opacity: 1;
    }

    & .item {
      opacity: 1;
      transform: translateY(0);

      &:nth-child(1) {
        transition-delay: 0.2s;
      }

      &:nth-child(2) {
        transition-delay: 0.3s;
      }

      &:nth-child(3) {
        transition-delay: 0.4s;
      }

      &:nth-child(4) {
        transition-delay: 0.5s;
      }

      &:nth-child(5) {
        transition-delay: 0.6s;
      }

      &:nth-child(6) {
        transition-delay: 0.7s;
      }

      &:nth-child(7) {
        transition-delay: 0.8s;
      }

      &:nth-child(8) {
        transition-delay: 0.9s;
      }

      &:nth-child(9) {
        transition-delay: 1s;
      }

      &:nth-child(10) {
        transition-delay: 1.1s;
      }
    }
  }
}

.nav-fade__bg {
  position: absolute;
  top: 0;
  left: 0;
  inline-size: 100%;
  block-size: 100%;
  background: rgba(0, 0, 0, 0.7);
  opacity: 0;
  transition: opacity 0.5s cubic-bezier(0.23, 1, 0.32, 1);
}

.nav-fade__wrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  width: 100%;
  height: 100%;
  padding: 5vh 36vw;
}

.nav-fadeList {
  margin: 0;
  padding: 0;
  list-style: none;

  & .item {
    position: relative;
    margin-block: 2vh;
    padding-inline-start: 30px;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);
    display: flex;
    align-items: center;
  }
}

.nav-fade__number {
  position: absolute;
  left: 0;
  color: var(--color-white);
  font-size: 14px;
  line-height: 1;
}

.nav-fade__link {
  display: inline-block;
  color: var(--color-white);
  font-size: 18px;
  text-decoration: none;
  transition: color 0.3s ease;
  line-height: 1;
}

.nav-fade__link:hover {
  color: var(--color-brand);
}

@media screen and (width <= 768px) {
  .hamburger-fade {
    inset-inline-end: 0;
  }

  .nav-fade__wrapper {
    padding: 5vh 10vw;
  }

  .nav-fade__link {
    font-size: 20px;
  }

  .nav-fade__item {
    padding-left: 40px;
    margin-bottom: 1.5vh;
  }

  .nav-fade__info {
    padding-left: 40px;
  }
}

/* ======================================================================
/* floatMenu
====================================================================== */
.floatMenu {
  position: fixed;
  inline-size: 100%;
  inset-block-end: 0;
  inset-inline-start: 0;
  z-index: 9999;

  & a {
    display: block;
  }

  & ul {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 60px;
    max-inline-size: 500px;
    margin: auto auto;
    font-size: 18px;
    font-weight: bold;
  }
}

@media screen and (width <= 768px) {
  .floatMenu {
    & ul {
      inline-size: 100%;
    }
  }
}

/* =====================================================
/* jsAccordion
===================================================== */
.jsAccordion {
  position: relative;
  cursor: pointer;
  display: grid;
  place-items: center;
  font-size: 14px;
  font-weight: bold;
  color: var(--color-white);
  margin-block: 30px 0;
  padding-block: 10px;

  &::before,
  &::after {
    content: "";
    position: absolute;
    inset-inline-end: 20px;
    inset-block-start: 50%;
    inline-size: 15px;
    block-size: 2px;
    background: var(--color-white);
    transform: translateY(-50%);
    transition: transform 0.3s ease;
  }

  &::after {
    transform: translateY(-50%) rotate(90deg);
  }

  &.is-open::after {
    transform: translateY(-50%) rotate(0deg);
    opacity: 0;
  }
}

.jsAccordion-details {
  overflow: hidden;
  max-height: 0;
  transition: max-height 0.3s ease-out;
}

/* ======================================================================
/* Swiper
====================================================================== */
.swiper.subdivisionSwiper {
  position: relative;
  inline-size: 100%;
  block-size: 100%;

  & .swiper-slide {
    inline-size: 100%;
    block-size: auto;
    background: var(--color-white);

    & .slide-box {
      padding: 15px;

      & .catch {
        font-size: 18px;
        font-weight: bold;
        margin: 0 auto 25px;
        inline-size: 80%;
      }

      & img {
        inline-size: 100%;
        block-size: auto;
        cursor: pointer;
      }

      & .ttl {
        font-size: 22px;
      }

      & .priceArea {
        display: flex;
        flex-wrap: wrap;
        align-items: flex-end;

        & .subTxt {
          width: 100%;
          font-size: 18px;
          font-weight: bold;
          padding-block-end: 10px;
          background: linear-gradient(to right, #757575, #757575 1px, transparent 1px, transparent 4px) left bottom / 4px 1px repeat-x;
        }

        & .num {
          display: inline-block;
          color:#000;
          font-size: 48px;
          font-weight: bold;
        }

        & .num + .num {
          position: relative;
          margin-left: 50px;

          &::before {
            position: absolute;
            content: "~";
            margin: auto;
            top: 0;
            bottom: 0;
            left: -40px;
            font-size: 45px;
            color: var(--color-black);
            font-weight: normal;
            display: flex;
            align-items: center;
          }
        }

        & .priceTxt {
          display: inline-block;
          margin: 20px 5px;
        }
      }

      & .subdivisionInfo {
        inline-size: 100%;

        & dl {
          display: flex;
          align-items: center;
          justify-content: flex-start;
          border-block-end: solid 1px var(--color-white);

          & dt {
            inline-size: 70px;
            block-size: 50px;
            padding: 10px 0;
            font-size: 14px;
            color: var(--color-white);
            background: #666666;
            line-height: 3.2 !important;
            text-align: center;
          }

          & dd {
            inline-size: 100px;
            block-size: 50px;
            padding: 10px 5px;
            font-size: 14px;
            inline-size: calc(100% - 70px);
            color: var(--color-black);
            background: #eeeeee;
            display: flex;
            align-items: center;
            line-height: 1.2;
          }
        }
      }

      & .pin {
        position: relative;

        &::before {
          position: absolute;
          top: 0;
          left: 0;
          content: "";
          inline-size: 23px;
          block-size: 35px;
          background: url(../img/common/pin.svg) center center / cover no-repeat;
        }

        & span {
          margin-inline-start: 30px;
        }
      }

      & .subdivisionMap {
        inline-size: 100%;

        & iframe {
          inline-size: 100%;
          block-size: 250px;
        }
      }
    }
  }

  & .swiper-button-prev {
    position: absolute;
    top: 45%;
    left: 1%;
    content: "";
    display: block;
    inline-size: 40px;
    block-size: 40px;
    background: url(../images/slidePrev.svg) center center / cover no-repeat;
  }

  & .swiper-button-next {
    top: 45%;
    right: 1%;
    content: "";
    display: block;
    inline-size: 40px;
    block-size: 40px;
    background: url(../images/slideNext.svg) center center / cover no-repeat;
  }
}

@media screen and (width <= 768px) {
  .swiper.subdivisionSwiper {
    position: relative;

    & .swiper-slide {
      inline-size: 100%;

      & .slide-box {
        padding: 15px;

        & .catch {
          font-size: 16px;
          margin: 0 auto 15px;
          inline-size: 100%;
        }

        & img {
          inline-size: 100%;
          block-size: auto;
          cursor: pointer;
        }

        & .ttl {
          font-size: 22px;
        }

        & .priceArea {
          & .num {
            font-size: 30px;
          }

          & .num + .num {
            position: relative;
            margin-left: 50px;

            &::before {
              position: absolute;
              content: "~";
              margin: auto;
              top: 0;
              bottom: 0;
              left: -40px;
              font-size: 45px;
            }
          }

          & .priceTxt {
            display: inline-block;
            margin: 20px 5px;
          }
        }

        & .pin {
          position: relative;

          &::before {
            position: absolute;
            top: 0;
            left: 0;
            content: "";
            inline-size: 23px;
            block-size: 35px;
            background: url(../img/common/pin.svg) center center / cover no-repeat;
          }

          & span {
            margin-inline-start: 30px;
          }
        }

        & .subdivisionMap {
          inline-size: 100%;

          & iframe {
            inline-size: 100%;
            block-size: 200px;
          }
        }
      }
    }

    & .swiper-button-next,
    & .swiper-button-prev {
      inline-size: 30px;
      block-size: 30px;
    }
  }
}

/* =================================================
/* propertyTab
================================================= */
.propertyTab {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  cursor: pointer;
  margin-block: 60px 0;

  & .tab {
    inline-size: 100%;
    block-size: 70px;
    color: var(--color-white);
    background-color:#cccccc;
    display: grid;
    place-items: center;
    text-align: center;
    font-weight: bold;
    border-radius: 10px;
    font-size: 20px;
    line-height: 1.15;

    &.is-active {
      color: var(--color-white);
      background: #998675;
      transition: all ease-out 0.2s 0.1s;
    }
  }
}
/* ======================================================================
/* ribbon
====================================================================== */
.ribbon {
  display: inline-block;
  position: relative;
  inline-size: 95%;
  block-size: 60px;
  line-height: 60px;
  text-align: left;
  font-size: 24px;
  padding-inline: 25px;
  color: var(--color-white);
  background:#998675;
}

@media screen and (width <= 768px) {
  .ribbon {
    font-size: 18px;
    padding-inline: 20px;
  }
}

/* ======================================================================
/* propertyContent
====================================================================== */
.propertyContent {
  display: none;
  margin-block: 20px 0;

  &.is-show {
    display: block;
  }
}

/* ======================================================================
/* propertyBox
====================================================================== */
.propertyBox {
  inline-size: 100%;
  block-size: auto;
  display: flex;
  flex-direction: column;
  box-shadow: 0px 0px 4.75px 0.25px rgba(0, 0, 0, 0.25);
  border-radius: 3px;
  background: var(--color-white);

  & .imgBox {
    position: relative;
    inline-size: 100%;
    padding-block-start: 40px;

    &.Bonus {
      position: relative;

      &::after {
        content: "";
        display: block;
        position: absolute;
        inset-block-start: 0;
        inset-inline-end: 0;
        inline-size: 135px;
        block-size: 50px;
        background: url(../img/property/special_contract_bonus.svg) top center / cover no-repeat;
        z-index: 10;
      }
    }

    & img {
      border-radius: 3px 3px 0 0;
      aspect-ratio: 16 / 9;
    }
  }

  & .infoBox {
    max-inline-size: 475px;
    padding: 15px;

    & .infoHeader {
      margin-block-end: 18px;
      min-block-size: 54px;

      & .title {
        font-size: 18px;
        font-weight: bold;
        min-block-size: 54px;
      }

      & .address {
        font-size: 15px;
      }

      & .traffic {
        font-size: 11px;
        padding-block-start: 10px;
        min-block-size: 43px;
      }

      & .district {
        font-size: 11px;
      }
    }

    & .iconList {
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      justify-content: flex-start;
      gap: 20px;
      margin-block-end: 15px;

      & li {
        inline-size: calc(100% / 4 - 15px);
        background: var(--color-green);
        border-radius: 5px;

        & img {
          inline-size: 100%;
          block-size: auto;
        }
      }
    }

    & .infoBody {
      margin-block-end: 20px;

      & .tableList {
        margin-block: 0 20px;

        & .boxTable {
          max-block-size: 100%;
          display: flex;
          flex-wrap: wrap;

          & .tableItem {
            inline-size: 50%;
            border-bottom: solid 1px var(--color-white);
            display: flex;

            &:last-child {
              border-block-end: none;
            }

            & .tableTit {
              inline-size: 40px;
              padding: 10px;
              font-size: 12px;
              text-align: center;
              background: #666;
              color: var(--color-white);
              display: flex;
              align-items: center;
              justify-content: center;
              block-size: 30px;
            }

            & .tableTxt {
              inline-size: calc(100% - 40px);
              background: #eee;
              padding: 10px;
              block-size: 30px;
              font-size: 12px;
              display: flex;
              align-items: center;
              line-height: 1.2;

              & .price {
                font-size: 32px;
                font-weight: bold;
                color: var(--color-black);
              }

              & .vertical {
                display: grid;
                place-items: center;
                font-size: 13px;
                margin-inline-start: 5px;
              }

              & .tax {
                font-size: 10px;
              }
            }
          }
        }
      }

      & .drawingBox {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
        min-block-size: 160px;

        & .drawingImgBox {
          position: relative;
          background: var(--color-gray);
          padding: 10px;

          &::after {
            position: absolute;
            bottom: 5px;
            right: 5px;
            content: "";
            display: block;
            inline-size: 30px;
            block-size: 30px;
            background: url(../img/common/zoom_in.svg) 100% 100% / cover no-repeat;
          }

          & img {
            display: block;
            margin: 0 auto;
            max-inline-size: 100%;
            block-size: auto;
          }
        }

        & p {
          text-align: center;
        }
      }
    }

    & .infoFooter {
      margin: 0;

      & .conversion {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;

        & .reserve a {
          position: relative;
          color: var(--color-white);
          background: var(--color-green);
          font-weight: bold;
          display: flex;
          justify-content: space-around;
          align-items: center;
          padding: 10px;
          text-decoration: none;
          transition: 0.3s ease-in-out;
          font-size: 13px;

          &:hover {
            opacity: 0.8;
          }
        }

        & .document a {
          position: relative;
          color: var(--color-white);
          background: var(--color-orange);
          font-weight: bold;
          display: flex;
          justify-content: space-around;
          align-items: center;
          padding: 10px;
          text-decoration: none;
          transition: 0.3s ease-in-out;
          font-size: 13px;

          &:hover {
            opacity: 0.8;
          }
        }
      }
    }
  }
}

@media screen and (width <= 768px) {
  .propertyBox {
    position: relative;

    & .iconList {
      flex-direction: row;
      flex-wrap: nowrap;
      overflow-x: scroll;

      & li {
        inline-size: 20%;
        flex-shrink: 0;
      }
    }

    & .infoBox {
      max-inline-size: 100%;

      & .infoBody {
        & .tableList {
          & .boxTable {
            inline-size: 100%;
            display: flex;
            flex-direction: column;

            & .tableItem {
              inline-size: 100%;

              & .tableTxt {
                & .vertical {
                  display: flex;
                  flex-direction: row-reverse;
                  align-items: end;
                  margin-inline-start: 0;
                }

                & .tax {
                  font-size: 13px;
                }
              }
            }
          }
        }

        & .drawingBox {
          grid-template-columns: repeat(2, 1fr);

          & .drawingImgBox {
            position: relative;

            &::after {
              position: absolute;
              bottom: 3px;
              right: 3px;
              content: "";
              display: block;
              inline-size: 20px;
              block-size: 20px;
              background: url(../img/common/zoom_in.svg) 100% 100% / cover no-repeat;
            }

            & img {
              max-inline-size: 100%;
            }
          }
        }
      }

      & .infoFooter {
        margin: 0;

        & .conversion {
          grid-template-columns: repeat(2, 1fr);
        }
      }
    }
  }
}

/* ======================================================================
/* accessFrame
====================================================================== */
.accessFrame {
  inline-size: 100%;
  block-size: auto;
  margin-block: 50px 0;
  padding: 30px 15px;
  background: var(--color-white);

  & h4 {
    margin-block: 30px 15px;
    padding-inline: 15px;
    font-size: 20px;
  }

  & dl {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    border-block-end: solid 1px var(--color-black);

    &:first-of-type {
      border-block-start: solid 1px var(--color-black);
    }

    & dt {
      inline-size: 120px;
      padding: 15px;
    }

    & dd {
      inline-size: calc(100% - 120px);
      padding: 15px;
    }
  }

  & iframe {
    inline-size: 100%;
    block-size: 250px;
    aspect-ratio: 2 / 1;
    margin-block: 30px 0;
  }
}

/* ======================================================================
/* floatMenu
====================================================================== */
.floatMenu {
  position: fixed;
  inline-size: 100%;
  display: none;
  bottom: 0;
  left: 0;
  z-index: 9999;

  & a {
    display: block;
  }

  & ul {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 60px;
    max-inline-size: 500px;
    margin: auto auto;
    font-size: 18px;

    & .phone {
      position: relative;
      display: grid;
      place-items: center;
      color: var(--color-white);
      background: var(--color-black);
      block-size: 100%;

      &::before {
        position: absolute;
        top: 30%;
        left: 12%;
        content: "";
        inline-size: 25px;
        block-size: 25px;
        background: url(../img/common/icon_phone.svg) center center / cover no-repeat;
      }
    }

    & .reservation {
      position: relative;
      display: grid;
      place-items: center;
      color: var(--color-white);
      background: var(--color-orange);
      block-size: 100%;

      &::before {
        position: absolute;
        top: 30%;
        left: 12%;
        content: "";
        inline-size: 25px;
        block-size: 25px;
        background: url(../img/common/icon_reserve.svg) center center / cover no-repeat;
      }
    }
  }
}

/* ==============================================
/* remodal
============================================== */
.remodal {
  padding: 15px !important;

  & .txtCenter {
    font-size: 13px;
    text-align: left;
  }
}

/* ==============================================
/* Modal Close
============================================== */
.remodal-cancel {
  margin-block-start: 50px !important;
  inline-size: 300px;
  background: var(--color-navy) !important;
}

@media screen and (width <= 768px) {
  .remodal-cancel {
    margin-block-start: 30px !important;
    inline-size: 100%;
  }
}

/* ==============================================
/* overViewTitle
============================================== */
.overViewTitle {
  font-size: 18px;
  color: var(--color-white);
  background: var(--color-navy);
  padding: 15px;
  margin-block: 100px 50px;

  &:first-of-type {
    margin-block: 0 50px;
  }
}

@media screen and (width <= 768px) {
  .overViewTitle {
    padding: 5px;
    margin-block: 50px 25px;

    &:first-of-type {
      margin-block: 0 25px;
    }
  }
}

/* ==============================================
/* txtLeft
============================================== */
.txtLeft {
  text-align: left;
  font-size: 12px;
}

/* ======================================================================
/* jsAccordion
====================================================================== */
.jsAccordion {
  padding: 5px;
  font-size: 18px;
  font-weight: bold;
  color: var(--color-white);
  border-radius: 3px 3px 0 0;
  position: relative;
  transition-duration: 0.2s;
  cursor: pointer;
  text-align: center;
  block-size: 45px;

  &::before {
    content: "▼";
    position: absolute;
    right: 20px;
    transform: rotate(0deg);
    transition: transform 0.4s;
  }

  &.is-open::before {
    content: "▲";
    transform: rotate(360deg);
    transition: transform 0.4s;
  }
}

.jsAccordion-details {
  display: none;
  border: 2px solid var(--color-theme-color);

  & a {
    text-decoration: underline;
  }

  & ul {
    padding: 10px;

    & li {
      list-style: none;
      padding-block-end: 10px;
    }
  }
}

/* ======================================================================
/* bgColor
====================================================================== */
.bgColor-navy {
  background-color: var(--color-navy);
}
